#! /usr/bin/env python

#Universidad Nacional Autonoma de Mexico
#PAPIME PE 400216
#DGAPA
#Programacion y diseno: Hadassa Amelia Juarez Hernandez. 2016 Attributions in /attributions
#Uncommented version

import os
import sys
import time
import pygame
from pygame.locals import *

FONT = os.path.join('fonts', 'subtitulos.TTF')

idioma=0
colorElse = [255,255,255] 
if idioma == 0:
	colorPalabra = [0,0,0]
	colorSiguiente = [0,0,0]
	colorElse = [0,0,0] 
if idioma == 1:
    colorPalabra = [135,206,250]
    colorSiguiente = [221,160,255]
if idioma == 2:
    colorPalabra = [175,238,238]
    colorSiguiente = [238,232,70]
if idioma == 3:
    colorPalabra = [255,255,255]
    colorSiguiente = [255,255,255]

class Bonus(pygame.sprite.Sprite):
	def __init__(self):
		pygame.sprite.Sprite.__init__(self)

		self.off_screen = 0
		self.last_update = 0
		self.font = pygame.font.Font(FONT, 18)

	def award(self,words):
		self.words = words
		self.color = colorElse
		self.image = self.font.render("%s" % self.words, 1, self.color)
		self.rect = self.image.get_rect()

		self.rect = self.rect.move([612,935])

	def reset(self):
		self.value = 0
		self.off_screen = 0
		self.last_update = 0

	def update(self):
		try:
			time_now = pygame.time.get_ticks()
			if (time_now - self.last_update) >= 125:
				self.last_update = time_now
			
		except:
			self.off_screen = 1

class Collect(pygame.sprite.Sprite):
	def __init__(self,game):
		pygame.sprite.Sprite.__init__(self)

		self.game = game
		self.color = colorSiguiente
		self.clicked = 0
		self.last_update = pygame.time.get_ticks()
		self.font = pygame.font.Font(FONT, 30)

		self.image = self.font.render("Siguiente palabra", 1, self.color)
		self.rect = self.image.get_rect()
		self.rect = self.rect.move([530,390])

	def click_test(self):
		x,y = pygame.mouse.get_pos()
		area = pygame.Rect(x,y,1,1)

		if area.colliderect(self.rect):
			self.clicked = 1
		else:
			self.clicked = 0

	def reset(self):
		self.clicked = 0

	def update(self):
		x,y = pygame.mouse.get_pos()
		area = pygame.Rect(x,y,1,1)
		time_now = pygame.time.get_ticks()
				

class GameOver(pygame.sprite.Sprite):
	def __init__(self,game):
		pygame.sprite.Sprite.__init__(self)

		self.game = game

	def update(self):
		2+2

class Timer(pygame.sprite.Sprite):
	def __init__(self):
		pygame.sprite.Sprite.__init__(self)
		self.in_game = 0
		self.time_limit =120
		self.last_update = 0
		self.timer = self.time_limit

		self.font = pygame.font.Font(FONT, 32)
		self.color = colorElse
		self.image = self.font.render("Time: %s" % self.time_limit, 1, self.color)
		self.rect = self.image.get_rect()
		self.rect = self.rect.move([530,230])

	def reset(self):
		self.time_limit = 80
		self.timer = self.time_limit
		self.start_time = int(time.time())
		self.last_update = 0

	def start(self):
		self.in_game = 1
		self.start_time = int(time.time())

	def stop(self):
		self.timer = 0
		self.in_game = 0

	def time_up(self):
		if self.timer <= 0:
			return 1
		else:
			return 0

	def update(self):
		time_now = pygame.time.get_ticks()
		if (time_now - self.last_update) >= 1000 and self.in_game:
			self.last_update = time_now
			self.timer = self.timer-1
			self.color = colorElse
			self.image = self.font.render("Time: %s" % self.timer, 1, self.color)

class Word(pygame.sprite.Sprite):
	def __init__(self,word,pos):
		pygame.sprite.Sprite.__init__(self)
		self.color = colorPalabra
		self.word = word
		self.font = pygame.font.Font(FONT, 26)
		
		self.image = self.font.render(word, 1, self.color)
		self.rect = self.image.get_rect()
		self.rect = self.rect.move(pos)

	def update(self):
		try:
			time_now = pygame.time.get_ticks()
			if (time_now - self.last_update) >= 125:
				self.last_update = time_now
		except:
			self.off_screen = 1

class WordsHeader(pygame.sprite.Sprite):
	def __init__(self):
		pygame.sprite.Sprite.__init__(self)
		self.font = pygame.font.Font(FONT, 30)
		self.color = colorElse
		self.image = self.font.render("Palabra:", 1, self.color)
		self.rect = self.image.get_rect()
		self.rect = self.rect.move([530,300])

	def update(self):
		pass